#include <bits/stdc++.h>
#include <cstdlib> 
using namespace std;

int main()
{
    long long v;
    long long k;
    long long n;
    long long zb = 0;
    long long stvr = 0;
    long long stvc = 0;
    long long stnr = 0;
    long long stnc = 0;
    long long br = 0;

    long long r[100000];
    long long c[100000];
    long long nuleR[50000];
    long long nuleC[50000];
    long long viseR[50000];
    long long viseC[50000];

    cin >> n;

    fill(r, r + n, 0);
    fill(c, c + n, 0);

    for (long long i=0; i<n; i++)
    {
        cin >> v >> k;
        r[v-1]++;
        c[k-1]++;
    }

    for (long long i=0; i<n; i++)
    {
        if(r[i] == 0)
        {
            stnr++;
            nuleR[stnr] = i;
        }
        else
        {
            if(r[i] > 1)
            {
                stvr++;
                viseR[stvr] = i;
            }
        }

        if(c[i] == 0)
        {
            stnc++;
            nuleC[stnc] = i;
        }
        else
        {
            if(c[i] > 1)
            {
                stvc++;
                viseC[stvc] = i;
            }
        }
    }
    stvr=0;
    stvc=0;

    if (stnr > 0)
    {
        for(long long i = 0; i<stnr; i++)
        {
            zb += abs(viseR[stvr] - nuleR[i]);
            br++;
            if((r[viseR[stvr]] - br) == 1)
            {
                stvr++;
            }
        }
    }

    if (stnc > 0)
    {
        for(long long i = 0; i<stnc; i++)
        {
            zb += abs(viseC[stvr] - nuleC[i]);
            br++;
            if((r[viseC[stvr]] - br) == 1)
            {
                stvc++;
            }
        }
    }

    cout << zb;

	return 0;
}